> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reporting Period by Date Range

> Retrieve the reporting period containing a given date range and pay schedule.

Zeal returns the corresponding reporting period with the given `pay_schedule` that is contained within the given start and end dates.

<Note>
  To find the correct reporting period using this endpoint, ensure that `searchStart` is less than or equal to the `start` date in the response, and that `searchEnd` is greater than or equal to the `end` date in the response.
</Note>

This uses the same underlying endpoint as [Get Reporting Period by ID](/reference/employee-checks/reporting-periods/get-reporting-period-by-id) - see that page for the formal parameter schema.


## OpenAPI

````yaml openapi/employee-checks.json get /reportingPeriod
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reportingPeriod:
    get:
      summary: Get Reporting Period by ID
      operationId: retrieve-reporting-period-by-id
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
        - name: reportingPeriodID
          in: query
          description: ID of Reporting period
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      reportingPeriodID: 5eb317a40d1158d5ddcb6895
                      pay_schedule: weekly
                      start: '2020-05-06'
                      end: '2020-05-12'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      reportingPeriodID:
                        type: string
                        example: 5eb317a40d1158d5ddcb6895
                      pay_schedule:
                        type: string
                        example: weekly
                      start:
                        type: string
                        example: '2020-05-06'
                      end:
                        type: string
                        example: '2020-05-12'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````